#!/bin/bash
##########################################
# File Name:22_check_disk.sh
# Version:V1.0
# Author:zhangpeng
# 0rganization:linuxjk.cn
# Desc:检查磁盘分区情况1.有几个分区2.每个分区使用率，超过70%显示磁盘空间不足，没超过显示异常
###########################################
#1.vars
#分区数量
part_cnt=`egrep -v '^$|#|swap' /etc/fstab | wc -l`
#分区名字
part_names=`egrep -v '^$|#|swap' /etc/fstab | awk '{print $2}'`

#2.for 循环依次处理
for part  in $part_names
do
	size=`df -h $part | awk 'NR==2{print $2}'`
	uselv=`df -h $part | awk -F '[ %]+' 'NR==2{print $5}'`
	if [ "$uselv" -le 70 ]  ;then
	echo "$part 磁盘大小：$size,使用率： $uselv%，空间正常"
else
	echo "$part 磁盘大小：$size,使用率： $uselv%，空间不足！！！"
	let i++
	fi
done
echo "磁盘分区数量：$part_cnt"
echo "磁盘分区空间不足分区数量： ${i:-0}"
